<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Bliss</Series>
  <Number>6</Number>
  <Web>https://www.comixology.com/Bliss-6/digital-comic/913898</Web>
  <Summary>Whatever happened to Perry's mother, Mabel? For issues, the question has floated, and now we discover the fate of our heroine. As Benton relives his path from monster to reconciliation and Perry desperately tries to return with the one thing he believes can save his father, the goddess Lethe probes deep into both men's pasts to bring back the one pain neither of them can live with.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB913898], [ASINB08SJ7WW59]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Supernatural/Occult, Action/Adventure, Mystery, Crime</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
